body {
  color: var(--text-color);
}

.banner-about {
  & {
    display: flex;
    flex-direction: column;
    padding: 10vh 15vw;
    min-height: 95vh;
    box-sizing: border-box;

    background-image: linear-gradient(#001a3b69 60%, #ffffff20),
      url("https://www.brandtbil.se/wp-content/uploads/bil-pa-vag-genom-skog.jpg.webp");
    background-size: cover;
    background-position: center;
    color: var(--alt-text-color);
  }

  .banner-title-container {
    & {
      margin-top: auto;
      margin-bottom: auto;
    }
    &:has(> h1) {
      & > * {
        transform: translateY(calc(var(--banner-title-fontsize) / 2 * -1));
      }
    }
    & > h1 {
      & {
        text-align: center;
        font-size: var(--banner-title-fontsize);
        position: relative;
        width: max-content;
        margin: 0 auto;
        margin-bottom: 0.25em;

        backdrop-filter: blur(4px);
        -webkit-backdrop-filter: blur(4px);
        background-color: rgba(0, 0, 0, 0.1);
      }

      &::before {
        content: "- Vad är -";
        font-size: 1.25rem;
        position: absolute;
        top: -0.5em;
        left: 50%;
        transform: translateX(-50%);
      }
    }
    & > p {
      max-width: 100%;
      width: 96ch;
      margin: 0 auto;
      font-weight: 300;
      font-size: var(--banner-text-fontsize);

      backdrop-filter: blur(4px);
      -webkit-backdrop-filter: blur(4px);
      background-color: rgba(0, 0, 0, 0.1);
    }
    & > p:not(:last-of-type) {
      margin-bottom: 0.5em;
    }
  }
}

@media only screen and (max-width: 600px) {
  .banner-about {
    & {
      padding: 10vh 5vw;
    }

    .banner-title-container {
      & {
        margin-top: unset;
        margin-bottom: 2rem;
      }

      & > h1 {
        font-size: 2.5rem;
        text-align: center;
        margin-bottom: 0.25em;
      }

      & > p {
        max-width: 100%;
        /* text-align: center; */
        font-size: 1.15rem;
      }
    }
  }
}
